package capitulo03.bloque05;

import static capitulo03.utils.Utils.comprobarPerfecto;
import static capitulo03.utils.Utils.solicitarIntScanner;

public class Ejercicio3 {
    public static void main(String[] args) {
        int numMin = solicitarIntScanner("¿Entre qué rangos quiere buscar los números perfectos?\n Introduzca el mínimo: ");
        int numMax = solicitarIntScanner("Introduzca el Máximo: ");


        for (int i = numMin; i <= numMax; i++) {
            if (comprobarPerfecto(i)) {
                System.out.println(i);
            }
        }
    }
}